import request from '@/utils/request'

// 工程监理--大型机械设备及仪器台账列表
export function apiSupervisionLargeMechanicalEquipmentLists(params: any) {
    return request.get({ url: '/supervision_dangerous.supervision_large_mechanical_equipment/lists', params })
}

// 添加工程监理--大型机械设备及仪器台账
export function apiSupervisionLargeMechanicalEquipmentAdd(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_large_mechanical_equipment/add', params })
}

// 编辑工程监理--大型机械设备及仪器台账
export function apiSupervisionLargeMechanicalEquipmentEdit(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_large_mechanical_equipment/edit', params })
}

// 删除工程监理--大型机械设备及仪器台账
export function apiSupervisionLargeMechanicalEquipmentDelete(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_large_mechanical_equipment/delete', params })
}

// 工程监理--大型机械设备及仪器台账详情
export function apiSupervisionLargeMechanicalEquipmentDetail(params: any) {
    return request.get({ url: '/supervision_dangerous.supervision_large_mechanical_equipment/detail', params })
}
// 工程监理--大型机械设备及仪器台账详情
export function apisupervision_large_mechanical_equipment_maintenance_record(params: any) {
    return request.get({ url: '/supervision_dangerous.supervision_large_mechanical_equipment_maintenance_record/lists', params })
}

// 工程监理--大型机械设备及仪器台账详情
export function apisupervision_large_mechanical_equipment_maintenance_record_delete(params: any) {
    return request.post({ url: '/supervision_dangerous.supervision_large_mechanical_equipment_maintenance_record/delete', params })
}